import PhotosUI
import SwiftUI

public extension PHPickerViewController {
  struct View { }
}

//MARK:- UIViewControllerRepresentable
extension PHPickerViewController.View: UIViewControllerRepresentable {
  public func updateUIViewController(_: PHPickerViewController, context _: Context) { }

  public func makeCoordinator() -> some PHPickerViewControllerDelegate {
    final class Coordinator: NSObject, PHPickerViewControllerDelegate {
      func picker(
        _ picker: PHPickerViewController,
        didFinishPicking results: [PHPickerResult]
      ) { }
    }

    return Coordinator()
  }

  public func makeUIViewController(context: Context) -> PHPickerViewController {
    let picker = PHPickerViewController( configuration: .init() )
    picker.delegate = context.coordinator
    return picker
  }
}
